Subject: Re: bug#21764: 25.0.50; bibtex-set-dialect not called for bibtex buffers

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 19 Aug 2020 15:36:50 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> I've re-spun the patch (included below) -- some paths have changed.
>
> Stephen, I'm not sure I understand your questions about this patch -- as
> far as I can see, bibtex-set-dialect isn't being added to any hooks?
> But I may be misreading the code (I'm not very familiar with it).
>
> You also say that it says the global bibtex variables, but it calls the
> function with LOCAL set to t, which the documentation says sets the
> local value...

There was no response within a week, so I went ahead and applied the
patch to Emacs 28.

If this leads to problems, feel free to revert the patch.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no